Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 10 Feb 2011 15:18:29 +0000
From:      esolve esolve <esolvepolito@gmail.com>
To:        freebsd-ipfw@freebsd.org
Subject:   about installation of Dummynet
Message-ID:  <AANLkTi=ku0g4toqPfRwHrn0Teim3=UpKZURpf63nufRV@mail.gmail.com>

Next in thread | Raw E-Mail | Index | Archive | Help
Hi,all;

  I have problem in installing Dummynet, can anyone give me some
instruction. I want to install dummynet on a remote machine, whose version
is as follows:

-----------------------------------------------------------
suttas1:~ # lsb_release -a
LSB Version:
 core-2.0-noarch:core-3.0-noarch:core-2.0-ia32:core-3.0-ia32:desktop-3.1-ia32:desktop-3.1-noarch:graphics-2.0-ia32:graphics-2.0-noarch:graphics-3.1-ia32:graphics-3.1-noarch
Distributor ID: SUSE LINUX
Description:    SUSE Linux Enterprise Server 10 (i586)
Release:        10
Codename:       n/a
suttas1:~ # cat /etc/issue

Welcome to SUSE Linux Enterprise Server 10 SP2 (i586) - Kernel \r (\l).
--------------------------------------------------------------

I want to install dummynet using the following command lines:

	insmod ./dummynet2/ipfw_mod.ko
	cp ipfw/ipfw /usr/local/sbin
    REMOVE:
	rmmod ipfw_mod.ko


I downloaded

Source code and tools,
20100319<http://info.iet.unipi.it/%7Eluigi/dummynet/20100319-ipfw3.tgz>;

however, I can't find ipfw_mod.ko

and then I download

Linux module<http://info.iet.unipi.it/%7Eluigi/dummynet/20100218-debian-ipfw-linux.2.6.26.tar.gz>rev.
20100218
for Debian GNU/Linux 5.0 lenny (2.6.26-1-686)

and the results are:
----------------------------------------------------------------
suttas1:/esolve/dummynet # sudo insmod ipfw_mod.ko
insmod: error inserting 'ipfw_mod.ko': -1 Invalid module format
-----------------------------------------------------------------



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?AANLkTi=ku0g4toqPfRwHrn0Teim3=UpKZURpf63nufRV>